"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCompilationContext = void 0;
const CompilationContextImpl_1 = require("./CompilationContextImpl");
/**
 * Creates a compilation context to prepare the compilation of session capture chunks.
 *
 * @param baseDir base directory to resolve relative path to source files or target directory. Defaults to current dir.
 */
function createCompilationContext(baseDir = '.') {
    return new CompilationContextImpl_1.CompilationContextImpl(baseDir);
}
exports.createCompilationContext = createCompilationContext;
